## org.hibernate.hql.ast
Class HqlASTFactory

    java.lang.Object
      antlr.ASTFactory
          org.hibernate.hql.ast.HqlASTFactory

    public class HqlASTFactory

extends antlr.ASTFactory

User: Joshua Davis
Date: Sep 23, 2005
Time: 12:30:01 PM

Field Summary

Fields inherited from class antlr.ASTFactory
`theASTNodeType, theASTNodeTypeClass, tokenTypeToASTClassMap`

Constructor Summary
`HqlASTFactory()`

Method Summary
`Class` `getASTNodeType(int tokenType)` Returns the class for a given token type (a.k.a.

Methods inherited from class antlr.ASTFactory
`addASTChild, create, create, create, create, create, create, create, create, create, createUsingCtor, dup, dupList, dupTree, error, getTokenTypeToASTClassMap, make, make, makeASTRoot, setASTNodeClass, setASTNodeClass, setASTNodeType, setTokenTypeASTNodeType, setTokenTypeToASTClassMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HqlASTFactory

    public HqlASTFactory()

Method Detail

### getASTNodeType

    public Class getASTNodeType(int tokenType)

  Returns the class for a given token type (a.k.a. AST node type).

  Overrides:
    `getASTNodeType` in class `antlr.ASTFactory`
  Parameters:
    `tokenType` - The token type.
  Returns:
    Class - The AST node class to instantiate.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.